# Maintainer: Yann Büchau <nobodyinperson@posteo.de>
pkgname=python-rhcal-git
pkgver=0.1.r21.gffe4d85
pkgrel=1
epoch=
pkgdesc="Software to operate the EdgeTech RH CAL Relative Humidity Calibrator"
arch=(any)
url="https://gitlab.com/tue-umphy/instruments/python3-RHCAL"
license=('GPL')
groups=()
depends=(python-pyserial)
makedepends=(git python python-wheel python-build 'python-installer>=0.5')
checkdepends=()
optdepends=()
provides=("${pkgname%-git}")
conflicts=()
replaces=()
backup=()
options=()
install=
changelog=
source=("${pkgname%-git}::git+$url")
noextract=()
md5sums=(SKIP)
validpgpkeys=()

pkgver() {
  cd "${pkgname%-git}"
  git describe --long --tags | sed 's/^v//; s/\([^-]*-g\)/r\1/; s/-/./g'
}

build() { 
  cd "${pkgname%-git}"
  python -m build --wheel --no-isolation
}

package() {
  cd "${pkgname%-git}"
  python -m installer --destdir="$pkgdir/" dist/*.whl
}
